#include <engine.h>

Assets*	LoadAssets() {
	Assets *asset = (Assets *)calloc(sizeof(Assets), 1);
	assert(asset);
	//Font
	asset->fonts[DENDRITIC_VOLTAGE] = LoadFont("assets/font/Dendritic_Voltage.ttf");
	asset->fonts[LAZENBYCOMP_LIQUID] = LoadFont("assets/font/LazenbyCompLiquid.ttf");
	asset->fonts[LAZENBYCOMP_SMOOTH] = LoadFont("assets/font/LazenbyCompSmooth.ttf");
	asset->fonts[POTRA] = LoadFont("assets/font/Potra.ttf");
	//Textures
	//Models
	//Sound
	//Data
	TraceLog(LOG_INFO, "Assets Loaded");
	return (asset);
}

void	UnloadAssets(Assets *asset) {
	UnloadFont(asset->fonts[DENDRITIC_VOLTAGE]);
	UnloadFont(asset->fonts[LAZENBYCOMP_LIQUID]);
	UnloadFont(asset->fonts[LAZENBYCOMP_SMOOTH]);
	UnloadFont(asset->fonts[POTRA]);
	free(asset);
}
